//
// Created by sasha on 28.11.2025.
//

#include "label_author.h"

LabelAuthor::LabelAuthor(IWidget *parent, float x, float y, const std::string &text1, const std::string &text2): IWidget (parent, x,y,0,0) {
    image = new Image(this, x,y,328,92,"background_button_setup.png");

    description1 = new Text(this, image->getFRect().x+20,image->getFRect().y+27);
    description1->setCached(true);
    description1->setText(text1,"inter.ttf",20,{255,255,255});

    description2 = new Text(this, image->getFRect().x+20,image->getFRect().y+27+description1->getFRect().h+2);
    description2->setCached(true);
    description2->setText(text2,"inter.ttf",20,{255,255,255});
}

LabelAuthor::~LabelAuthor() {

}
